with section("format"):  # noqa: F821
    dangle_parens = True
    max_lines_hwrap = 0
    keyword_case = "upper"
    autosort = True

with section("lint"):  # noqa: F821
    # The formatter sometimes fails to fit the code into the line limit (C0301)
    # and can disagree with the linter regarding the indentation (C0307):
    disabled_codes = ["C0301", "C0307"]
    
    private_var_pattern = "[A-Z][0-9a-zA-Z]+_[0-9A-Z_]+|_[0-9a-z_]"
